com.holonplatform.datastore.jdbc

## Interface JdbcDialect.StatementConfigurator

- Enclosing interface:
    JdbcDialect
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface JdbcDialect.StatementConfigurator

  JDBC `PreparedStatement` configurator.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureStatement(Connection connection, PreparedStatement statement, String sql, List<com.holonplatform.datastore.jdbc.internal.support.ParameterValue> parameterValues)` Configure given `statement`, setting any parameter value.
    `static JdbcDialect.StatementConfigurator` | `create(JdbcDialect dialect)` Create a new `JdbcDialect.StatementConfigurator` using given dialect.

- - ### Method Detail

    - #### configureStatement

          void configureStatement(Connection connection,
                                  PreparedStatement statement,
                                  String sql,
                                  List<com.holonplatform.datastore.jdbc.internal.support.ParameterValue> parameterValues)
                           throws JdbcDialect.StatementConfigurationException

      Configure given `statement`, setting any parameter value.
      Parameters:
        `connection` - Connection
        `statement` - Statement to configure
        `sql` - The precompiled SQL statement
        `parameterValues` - Parameter values to set (if any), in the right sequence
      Throws:
        `JdbcDialect.StatementConfigurationException` - If an error occurred

    - #### create

          static JdbcDialect.StatementConfigurator create(JdbcDialect dialect)

      Create a new `JdbcDialect.StatementConfigurator` using given dialect.
      Parameters:
        `dialect` - JDBC dialect
      Returns:
        A new StatementConfigurator instance

Copyright © 2017 The Holon Platform. All rights reserved.